
<template>
    <div class="test-player">
        <el-input class="input" v-model="url" placeholder="流地址"></el-input>
        <el-button @click="play" type="primary">播放</el-button>
        <div class="container">
            <player ref="player" />
        </div>
    </div>
</template>
<script>
import player from './player.vue'
export default {
    name: 'testPlayer',
    data() {
        return {
            url: '',
        }
    },
    components: {
        player,
    },
    methods: {
        play() {
            this.$refs.player.getUrlAndPlay(this.url)
        },
    },
}
</script>
<style lang='scss' scoped>
.test-player{
    width: 100%;
    height: 100%;
    margin: 20px auto;
    text-align: center;
    .input{
        width: 920px;
        margin-right: 20px;
        
    }
    .container{
        width: 1000px;
        height: 562px;
        margin: 20px auto;
        text-align: center;
    }
}
</style>